Name:           fabtests
Version:        1.4.1
Release:        3%{?dist}
Summary:        Test suite for libfabric API
# include/jsmn.h and common/jsmn.c are licensed under MIT.
# All other source files permit distribution under BSD. Some of them
# additionaly expressly allow the option to be licensed under GPLv2.
# See the license headers in individual source files to see which those are.
License:        BSD and (BSD or GPLv2) and MIT
Url:            https://github.com/ofiwg/fabtests
Source:         https://github.com/ofiwg/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Patch0:         0001-adjust-shebang-lines-in-rft_yaml_to_junit_xml-and-ru.patch
BuildRequires:  libfabric-devel >= %{version}
BuildRequires:  valgrind-devel
BuildRequires:  gcc

%description
Fabtests provides a set of examples that uses libfabric - a high-performance
fabric software library.

%prep
%setup -q
%patch0 -p1

%build
%configure --with-valgrind
make %{?_smp_mflags} V=1

%install
%make_install
# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_libdir}/*.la

%files
%{_datadir}/%{name}/
%{_bindir}/*
%{_mandir}/man7/*
%doc AUTHORS README
%license COPYING

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Apr 11 2017 Honggang Li <honli@redhat.com> - 1.4.1-1
- Rebase to latest upstream release.
- Resolves: bz1428619

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov  8 2016 Honggang Li <honli@redhat.com> - 1.4.0-1
- Rebase to latest upstream release.

* Tue Apr 19 2016 Honggang Li <honli@redhat.com> - 1.3.0-3
- Provide precise license information.

* Thu Apr 14 2016 Honggang Li <honli@redhat.com> - 1.3.0-2
- Remove license comment in file section.
- Merge duplicated file entries.

* Thu Apr 14 2016 Honggang Li <honli@redhat.com> - 1.3.0-1
- Import fabtests for Fedora.
